%{!?python_sitelib: %global python_sitelib %(%{__python} -c "from distutils.sysconfig import get_python_lib; print get_python_lib()")}

Name:		winpdb
Version:	1.4.8
Release:	14%{?dist}
Summary:	An advanced python debugger
Group:		Development/Debuggers
License:	GPLv2+
URL:		http://www.winpdb.org/
Source0:	http://winpdb.googlecode.com/files/winpdb-%{version}.tar.gz
Source1:	%{name}.desktop
Source2:	%{name}.png
Patch0:		winpdb-1.4.8-gnome-fix.patch
Patch1:		https://sources.debian.net/data/main/w/winpdb/1.4.8-2.1/debian/patches/wxpython3.0.patch
# https://code.google.com/p/winpdb/issues/detail?id=19
Patch2:		winpdb-1.4.8-issue19-fix.patch
BuildArch:	noarch
BuildRequires: 	python2-devel, wxPython-devel >= 2.6, desktop-file-utils
Requires:	python-crypto, wxPython >= 2.6

%description
Winpdb is an advanced python debugger, with support for smart breakpoints, 
multiple threads, namespace modification, embedded debugging, encrypted 
communication and speed of up to 20 times that of pdb.

%prep
%setup -q
%patch0 -p1 -b .gnomefix
%patch1 -p1 -b .wxpy3
%patch2 -p1 -b .issue19
sed -i 's/\r//g' README.txt
chmod -x README.txt

%build
%{__python} setup.py build

%install
%{__python} setup.py install --skip-build --root=$RPM_BUILD_ROOT
mkdir -p $RPM_BUILD_ROOT%{_datadir}/pixmaps
install -m0644 -p %{SOURCE2} $RPM_BUILD_ROOT%{_datadir}/pixmaps

mkdir -p $RPM_BUILD_ROOT%{_datadir}/applications

desktop-file-install 		\
	--dir $RPM_BUILD_ROOT%{_datadir}/applications	\
	%{SOURCE1}

chmod +x $RPM_BUILD_ROOT%{python_sitelib}/rpdb2.py $RPM_BUILD_ROOT%{python_sitelib}/winpdb.py

%files
%doc README.txt
%{_bindir}/*
%{python_sitelib}/*
%{_datadir}/applications/*.desktop
%{_datadir}/pixmaps/%{name}.png

%changelog
* Thu Jul 27 2017 Fedora Release Engineering <releng@fedoraproject.org> - 1.4.8-14
- Rebuilt for https://fedoraproject.org/wiki/Fedora_27_Mass_Rebuild

* Sat Feb 11 2017 Fedora Release Engineering <releng@fedoraproject.org> - 1.4.8-13
- Rebuilt for https://fedoraproject.org/wiki/Fedora_26_Mass_Rebuild

* Tue Jul 19 2016 Fedora Release Engineering <rel-eng@lists.fedoraproject.org> - 1.4.8-12
- https://fedoraproject.org/wiki/Changes/Automatic_Provides_for_Python_RPM_Packages

* Fri Feb 05 2016 Fedora Release Engineering <releng@fedoraproject.org> - 1.4.8-11
- Rebuilt for https://fedoraproject.org/wiki/Fedora_24_Mass_Rebuild

* Fri Jun 19 2015 Fedora Release Engineering <rel-eng@lists.fedoraproject.org> - 1.4.8-10
- Rebuilt for https://fedoraproject.org/wiki/Fedora_23_Mass_Rebuild

* Wed Apr  1 2015 Tom Callaway <spot@fedoraproject.org> - 1.4.8-9
- apply patch from debian for improved support with wxPython 3
- fix from upstream for breakpoints with commas (issue:19)

* Thu Dec  4 2014 Tom Callaway <spot@fedoraproject.org> - 1.4.8-8
- fix issue where winpdb doesn't launch in gnome-terminal properly anymore (bz1149030)

* Sun Jun 08 2014 Fedora Release Engineering <rel-eng@lists.fedoraproject.org> - 1.4.8-7
- Rebuilt for https://fedoraproject.org/wiki/Fedora_21_Mass_Rebuild

* Sun Aug 04 2013 Fedora Release Engineering <rel-eng@lists.fedoraproject.org> - 1.4.8-6
- Rebuilt for https://fedoraproject.org/wiki/Fedora_20_Mass_Rebuild

* Sun Feb 10 2013 Parag Nemade <paragn AT fedoraproject DOT org> - 1.4.8-5
- Remove vendor tag from desktop file as per https://fedorahosted.org/fesco/ticket/1077
- Cleanup spec as per recently changed packaging guidelines

* Sun Jul 22 2012 Fedora Release Engineering <rel-eng@lists.fedoraproject.org> - 1.4.8-4
- Rebuilt for https://fedoraproject.org/wiki/Fedora_18_Mass_Rebuild

* Sat Jan 14 2012 Fedora Release Engineering <rel-eng@lists.fedoraproject.org> - 1.4.8-3
- Rebuilt for https://fedoraproject.org/wiki/Fedora_17_Mass_Rebuild

* Mon Feb 07 2011 Fedora Release Engineering <rel-eng@lists.fedoraproject.org> - 1.4.8-2
- Rebuilt for https://fedoraproject.org/wiki/Fedora_15_Mass_Rebuild

* Thu Aug 19 2010 Tom "spot" Callaway <tcallawa@redhat.com> - 1.4.8-1
- update to 1.4.8

* Thu Jul 22 2010 David Malcolm <dmalcolm@redhat.com> - 1.4.6-3
- Rebuilt for https://fedoraproject.org/wiki/Features/Python_2.7/MassRebuild

* Mon Jul 27 2009 Fedora Release Engineering <rel-eng@lists.fedoraproject.org> - 1.4.6-2
- Rebuilt for https://fedoraproject.org/wiki/Fedora_12_Mass_Rebuild

* Wed Apr  8 2009 Tom "spot" Callaway <tcallawa@redhat.com> - 1.4.6-1
- update to 1.4.6

* Wed Mar  4 2009 Tom "spot" Callaway <tcallawa@redhat.com> - 1.4.4-4
- fix typo

* Wed Mar  4 2009 Tom "spot" Callaway <tcallawa@redhat.com> - 1.4.4-3
- add icon, fix desktop file (bz 487870)

* Wed Feb 25 2009 Fedora Release Engineering <rel-eng@lists.fedoraproject.org> - 1.4.4-2
- Rebuilt for https://fedoraproject.org/wiki/Fedora_11_Mass_Rebuild

* Wed Feb 11 2009 Tom "spot" Callaway <tcallawa@redhat.com> - 1.4.4-1
- update to 1.4.4

* Sat Nov 29 2008 Ignacio Vazquez-Abrams <ivazqueznet+rpm@gmail.com> - 1.4.2-2
- Rebuild for Python 2.6

* Thu Nov 20 2008 Tom "spot" Callaway <tcallawa@redhat.com> - 1.4.2-1
- update to 1.4.2, source moved to google code

* Fri Sep 12 2008 Tom "spot" Callaway <tcallawa@redhat.com> - 1.4.0-1
- update to 1.4.0

* Wed Apr 23 2008 Tom "spot" Callaway <tcallawa@redhat.com> - 1.3.8-1
- update to 1.3.8

* Mon Mar 10 2008 Tom "spot" Callaway <tcallawa@redhat.com> - 1.3.6-1
- update to 1.3.6

* Mon Jan 21 2008 Tom "spot" Callaway <tcallawa@redhat.com> - 1.3.4-1.1
- bump to 1.3.4
- actually finish writing the changelog

* Tue Dec 11 2007 Tom "spot" Callaway <tcallawa@redhat.com> - 1.3.2-1
- bump to 1.3.2

* Mon Aug 27 2007 Tom "spot" Callaway <tcallawa@redhat.com> - 1.2.2-1
- bump to 1.2.2

* Mon Jul 30 2007 Tom "spot" Callaway <tcallawa@redhat.com> - 1.1.4-1
- bump to 1.1.4

* Wed May 30 2007 Tom "spot" Callaway <tcallawa@redhat.com> - 1.1.2-2
- fix desktop-file-utils usage in spec

* Mon May 14 2007 Tom "spot" Callaway <tcallawa@redhat.com> - 1.1.2-1
- revisit for Fedora

* Sun Aug 28 2005 Tom "spot" Callaway <tcallawa@redhat.com> - 1.0.2-1
- initial build for Fedora Extras


